% Generated by roxygen2 (4.0.1): do not edit by hand
\name{scde.browse.diffexp}
\alias{scde.browse.diffexp}
\title{View differential expression results in a browser}
\usage{
scde.browse.diffexp(results, models, counts, prior, groups = NULL,
  batch = NULL, geneLookupURL = NULL, server = NULL, name = "scde")
}
\arguments{
\item{results}{result object returned by \code{scde.expression.difference()}. Note to browse group posterior levels, use \code{return.posteriors=T} in the \code{scde.expression.difference()} call.}

\item{models}{model matrix}

\item{counts}{count matrix}

\item{prior}{prior}

\item{groups}{group information}

\item{batch}{batch information}

\item{geneLookupURL}{The URL that will be used to construct links to view more information on gene names. By default (if can't guess the organism) the links will forward to ENSEMBL site search, using \code{geneLookupURL="http://useast.ensembl.org/Multi/Search/Results?q={0}"}. The "{0}" in the end will be substituted with the gene name. For instance, to link to GeneCards, use \code{"http://www.genecards.org/cgi-bin/carddisp.pl?gene={0}"}.}

\item{server}{optional previously returned instance of the server, if want to reuse it.}

\item{name}{app name (needs to be altered only if adding more than one app to the server using \code{server} parameter)}
}
\value{
server instance, on which $stop() function can be called to kill the process.
}
\description{
Launches a browser app that shows the differential expression results, allowing to sort, filter, etc.
The arguments generally correspond to the \code{scde.expression.difference()} call, except that the results of that call are also passed here. Requires \code{Rook} and \code{rjson} packages to be installed.
}

