% Generated by roxygen2 (4.0.1): do not edit by hand
\name{scde.expression.prior}
\alias{scde.expression.prior}
\title{Estimate prior distribution for gene expression magnitudes}
\usage{
scde.expression.prior(models, counts, length.out = 400, show.plot = F,
  pseudo.count = 1, bw = 0.1, max.quantile = 0.999, max.value = NULL)
}
\arguments{
\item{models}{models determiend by \code{\link{scde.error.models}}}

\item{counts}{count matrix}

\item{length.out}{number of points (resolution) of the expression magnitude grid (default: 400). Note: larger numbers will linearly increase memory/CPU demands.}

\item{show.plot}{show the estimate posterior}

\item{pseudo.count}{pseudo-count value to use (default 1)}

\item{bw}{smoothing bandwidth to use in estimating the prior (default: 0.1)}

\item{max.quantile}{determine the maximum expression magnitude based on a quantile (default : 0.999)}

\item{max.value}{alternatively, specify the exact maximum expression magntiude value}
}
\value{
a structure describing expression magnitude grid ($x, on log10 scale) and prior ($y)
}
\description{
Use existing count data to determine a prior distribution of genes in the dataset
}

