% Generated by roxygen2 (4.0.1): do not edit by hand
\name{scde.fit.models.to.reference}
\alias{scde.fit.models.to.reference}
\title{fit scde models relative to provided set of expression magnitudes}
\usage{
scde.fit.models.to.reference(counts, reference, n.cores = 10,
  zero.count.threshold = 1, nrep = 1, save.plots = F,
  plot.filename = "reference.model.fits.pdf", verbose = 0, min.fpm = 1)
}
\arguments{
\item{counts}{count matrix}

\item{reference}{a vector of expression magnitudes (read counts) corresponding to the rows of the count matrix}

\item{min.fpm}{minimum reference fpm of genes that will be used to fit the models (defaults to 1). Note: fpm is calculated from the reference count vector as reference/sum(reference)*1e6;}

\item{n.cores}{number of cores to use}

\item{zero.count.threshold}{read count to use as an initial guess for the zero threshold}

\item{nrep}{number independent of mixture fit iterations to try (default=1)}

\item{save.plots}{whether to write out a pdf file showing the model fits}

\item{plot.filename}{model fit pdf fielname}

\item{verbose}{verbose level}
}
\value{
matrix of scde models
}
\description{
If group-average expression magnitudes are available (e.g. from bulk measurement), this method can be used
to fit individual cell error models relative to that reference
}

